
public class Complex 
{
	double a;
	double b;
	
	public Complex(double a, double b) //Konstruktor
	{
		this.a = a;
		this.b = b;
	}
	
	public static Complex add(Complex c1, Complex c2) //Addition der komplexen Zahlen
	{
		Complex summe = new Complex(0.0 , 0.0);
		summe.a = c1.a + c2.a;
		summe.b = c1.b + c2.b;
		return summe;
	}
	
	public static Complex mult(Complex c1, Complex c2) //Multiplikation
	{
		Complex produkt = new Complex(0, 0);
		produkt.a = c1.a * c2.a - c1.b * c2.b;
		produkt.b = c1.a * c2.b + c1.b * c2.a;
		return produkt;
	}
	
	public boolean equals(Complex z) // Wertevergleich der komplexen Zahlen
	{
		if (this.a == z.a && this.b == z.b)
		{
			System.out.println("Die Zahlen haben den gleichen Wert. \n");
			return true;		
		}
		else 
		{
			System.out.println("Die Zahlen haben nicht den gleichen Wert. \n");
			return false;
		}
	}

}
